Summary: A public domain clone of the Korn shell (ksh).
Name: pdksh
Version: 5.2.14
Release: 30.3
License: Public Domain
Group: System Environment/Shells
Patch0: pdksh-5.2.14-manloc.patch
Patch1: pdksh-5.2.14-patches1.patch
Patch2: pdksh-5.2.14-alignia64.patch
Patch3: pdksh-5.2.14-patches2.patch
Patch4: pdksh-noninteractive.patch
Patch5: pdksh-emacsmode.patch
Patch6: pdksh-5.2.14-ptr.patch
Source: ftp://ftp.cs.mun.ca/pub/pdksh/pdksh-%{version}.tar.gz
URL: http://www.cs.mun.ca/~michael/pdksh/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: grep, fileutils

%description
The pdksh package contains PD-ksh, a clone of the Korn shell (ksh).
The ksh shell is a command interpreter intended for both interactive
and shell script use.  Ksh's command language is a superset of the sh
shell language.

Install the pdksh package if you want to use a version of the ksh
shell.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build

export CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
%configure --bindir=/bin
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall bindir=$RPM_BUILD_ROOT/bin

mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf ../../bin/ksh $RPM_BUILD_ROOT/usr/bin/ksh
ln -sf ../../bin/ksh $RPM_BUILD_ROOT/usr/bin/pdksh
ln -sf ksh.1 $RPM_BUILD_ROOT/%{_mandir}/man1/pdksh.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ksh" > /etc/shells
else
	if ! grep -q '^/bin/ksh$' /etc/shells ; then
		echo "/bin/ksh" >> /etc/shells
	fi
fi
if ! grep -q '^/usr/bin/ksh$' /etc/shells ; then
	echo "/usr/bin/ksh" >> /etc/shells
fi
if ! grep -q '^/usr/bin/pdksh$' /etc/shells ; then
	echo "/usr/bin/pdksh" >> /etc/shells
fi

%postun
if [ ! -f /bin/ksh ]; then
	grep -v '^/bin/ksh' /etc/shells | grep -v '^/usr/bin/ksh' | \
	grep -v '^/usr/bin/pdksh' >/etc/shells.new
	mv /etc/shells.new /etc/shells
	chmod 644 /etc/shells
fi

%verifyscript

echo -n "Looking for ksh in /etc/shells... "
if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
    echo "missing"
    echo "ksh missing from /etc/shells" >&2
else
    echo "found"
fi

%files
%defattr(-,root,root)
%doc README NOTES PROJECTS NEWS BUG-REPORTS etc
/bin/ksh
/usr/bin/ksh
/usr/bin/pdksh
%{_mandir}/*/*

%changelog
* Mon Aug 08 2005 Karsten Hopp <karsten@redhat.de> 5.2.14-30.3
- save ptr before calling shell()

* Tue Jun 21 2005 Karsten Hopp <karsten@redhat.de> 5.2.14-30.2
- RHBA-2005:538
- fix commandline prompt in emacs/gemacs modes (#159061)

* Thu Mar 31 2005 Karsten Hopp <karsten@redhat.de> 5.2.14-30.1
- don't wait for tty input in non-interactive scripts (#149325)

* Wed Jul 07 2004 Karsten Hopp <karsten@redhat.de> 5.2.14-30
- rebuild with new gcc

* Mon Jul 05 2004 Karsten Hopp <karsten@redhat.de> 5.2.14-29 
- add etc/* files from tarball to documentation as examples (#126843)

* Sat Jun 19 2004 Alan Cox <alan@redhat.com>
- EASYFIX (#125678) - add/remove alias /usr/bin/ksh, pdksh names. Fix
  inadequate grep anchors on remove script. Fix wrong permissions if
  upgrading with umask 077.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 03 2003 Karsten Hopp <karsten@redhat.de> 5.2.14-22
- rebuild for AS to support large files (#76307, #87937)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Fri Jun 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 5.2.14-19
- Make it handle large files by adding compiler flags (#67662)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Trond Eivind Glomsrd <teg@redhat.com> 5.2.14-16
- Rebuild

* Wed Jan 16 2002 Trond Eivind Glomsrd <teg@redhat.com> 5.2.14-15
- Rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sun Feb 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add patch from author to fix some init problems

* Tue Jan 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add fileutils and grep to PreReq: (#24720)

* Mon Jan 08 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add patch to fix alignment problems on IA64 (#23351)

* Tue Nov 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- redid some patches, which should fix #19517

* Mon Aug 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use relative symlinks (#16127)

* Sat Jul 29 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added patch to handle readonly variables correctly

* Mon Jul 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add patch from author to fix "-x" problem (#10758)
- add another author patch (some fixes wrt. job handling)

* Fri Jul 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add URL
- use %%makeinstall and add a patch to make it work

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_mandir}, %%configure and %{_tmpdir}

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Tue Jul 20 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.2.14.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Jeff Johnson <jbj@redhat.com>
- glibc 2.1 doesn't init sys_siglist for 32 <= i < NSIG (#1473)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 5.2.13.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
